Package org.opensaml.core.metrics.impl

# Class DisabledHistogram

java.lang.Object
com.codahale.metrics.Histogram
org.opensaml.core.metrics.impl.DisabledHistogram

All Implemented Interfaces:
  `com.codahale.metrics.Counting`, `com.codahale.metrics.Metric`, `com.codahale.metrics.Sampling`, `DisabledMetric`

public class DisabledHistogram extends com.codahale.metrics.Histogram implements DisabledMetric
A stubbed out histogram implementation.

Since:
  3.3.0

## Constructor Summary

Constructors
Constructor
Description
`DisabledHistogram()`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`long`
`getCount()`
`com.codahale.metrics.Snapshot`
`getSnapshot()`
`void`
`update(int value)`
`void`
`update(long value)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### DisabledHistogram

public DisabledHistogram()
Constructor.

## Method Details

### update

public void update(int value)

Overrides:
  `update` in class `com.codahale.metrics.Histogram`

### update

public void update(long value)

Overrides:
  `update` in class `com.codahale.metrics.Histogram`

### getCount

public long getCount()

Specified by:
  `getCount` in interface `com.codahale.metrics.Counting`
Overrides:
  `getCount` in class `com.codahale.metrics.Histogram`

### getSnapshot

public com.codahale.metrics.Snapshot getSnapshot()

Specified by:
  `getSnapshot` in interface `com.codahale.metrics.Sampling`
Overrides:
  `getSnapshot` in class `com.codahale.metrics.Histogram`